> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new subscription history entry

> Operacion: Create a new subscription history entry.



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/subscription_history/history
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_history/history:
    post:
      tags:
        - Subscription History
      summary: Create a new subscription history entry
      description: 'Operacion: Create a new subscription history entry.'
      operationId: SubscriptionHistoryController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSubscriptionHistoryDto'
      responses:
        '201':
          description: History entry created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionHistoryResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateSubscriptionHistoryDto:
      type: object
      properties:
        subscription_detail_id:
          type: string
        subscription_date:
          type: string
        status_changed:
          type: number
        vehicle_id:
          type: string
        gps_details_id:
          type: string
      required:
        - subscription_detail_id
        - subscription_date
    SubscriptionHistoryResponseDto:
      type: object
      properties:
        id:
          type: number
        subscription_detail_id:
          type: string
        subscription_date:
          format: date-time
          type: string
        status_changed:
          type: object
        vehicle_id:
          type: object
        gps_details_id:
          type: object
        created_at:
          type: object
        updated_at:
          type: object
        license_plate:
          type: string
        gps_name:
          type: string
        client_name:
          type: string
        subscription_plan_name:
          type: string
        status_name:
          type: string
      required:
        - id
        - subscription_detail_id
        - subscription_date
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````